zenilib: SDL_VideoDevice Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_VideoDevice Struct Reference

`#include <SDL_sysvideo.h>`

## Public Attributes

char * | clipboard_text
int(* | CreateWindow )(_THIS, SDL_Window *window)
int(* | CreateWindowFramebuffer )(_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)
int(* | CreateWindowFrom )(_THIS, SDL_Window *window, const void *data)
SDL_GLContext | current_glctx
SDL_TLSID | current_glctx_tls
SDL_Window * | current_glwin
SDL_TLSID | current_glwin_tls
void(* | DestroyWindow )(_THIS, SDL_Window *window)
void(* | DestroyWindowFramebuffer )(_THIS, SDL_Window *window)
SDL_VideoDisplay * | displays
void * | driverdata
void(* | free )(_THIS)
char *(* | GetClipboardText )(_THIS)
int(* | GetDisplayBounds )(_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)
void(* | GetDisplayModes )(_THIS, SDL_VideoDisplay *display)
int(* | GetWindowGammaRamp )(_THIS, SDL_Window *window, Uint16 *ramp)
SDL_bool(* | GetWindowWMInfo )(_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
struct {
int accelerated
int accum_alpha_size
int accum_blue_size
int accum_green_size
int accum_red_size
int alpha_size
int blue_size
int buffer_size
int depth_size
void * dll_handle
int double_buffer
int driver_loaded
char driver_path [256]
int flags
int green_size
int major_version
int minor_version
int multisamplebuffers
int multisamplesamples
int profile_mask
int red_size
int retained_backing
int share_with_current_context
int stencil_size
int stereo
} | gl_config
SDL_GLContext(* | GL_CreateContext )(_THIS, SDL_Window *window)
struct SDL_GLDriverData * | gl_data
void(* | GL_DeleteContext )(_THIS, SDL_GLContext context)
void(* | GL_GetDrawableSize )(_THIS, SDL_Window *window, int *w, int *h)
void *(* | GL_GetProcAddress )(_THIS, const char *proc)
int(* | GL_GetSwapInterval )(_THIS)
int(* | GL_LoadLibrary )(_THIS, const char *path)
int(* | GL_MakeCurrent )(_THIS, SDL_Window *window, SDL_GLContext context)
int(* | GL_SetSwapInterval )(_THIS, int interval)
void(* | GL_SwapWindow )(_THIS, SDL_Window *window)
void(* | GL_UnloadLibrary )(_THIS)
SDL_bool(* | HasClipboardText )(_THIS)
SDL_bool(* | HasScreenKeyboardSupport )(_THIS)
void(* | HideScreenKeyboard )(_THIS, SDL_Window *window)
void(* | HideWindow )(_THIS, SDL_Window *window)
SDL_bool(* | IsScreenKeyboardShown )(_THIS, SDL_Window *window)
void(* | MaximizeWindow )(_THIS, SDL_Window *window)
void(* | MinimizeWindow )(_THIS, SDL_Window *window)
const char * | name
Uint32 | next_object_id
int | num_displays
void(* | OnWindowEnter )(_THIS, SDL_Window *window)
void(* | PumpEvents )(_THIS)
void(* | RaiseWindow )(_THIS, SDL_Window *window)
void(* | RestoreWindow )(_THIS, SDL_Window *window)
int(* | SetClipboardText )(_THIS, const char *text)
int(* | SetDisplayMode )(_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
void(* | SetTextInputRect )(_THIS, SDL_Rect *rect)
void(* | SetWindowBordered )(_THIS, SDL_Window *window, SDL_bool bordered)
void(* | SetWindowFullscreen )(_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int(* | SetWindowGammaRamp )(_THIS, SDL_Window *window, const Uint16 *ramp)
void(* | SetWindowGrab )(_THIS, SDL_Window *window, SDL_bool grabbed)
void(* | SetWindowIcon )(_THIS, SDL_Window *window, SDL_Surface *icon)
void(* | SetWindowMaximumSize )(_THIS, SDL_Window *window)
void(* | SetWindowMinimumSize )(_THIS, SDL_Window *window)
void(* | SetWindowPosition )(_THIS, SDL_Window *window)
void(* | SetWindowSize )(_THIS, SDL_Window *window)
void(* | SetWindowTitle )(_THIS, SDL_Window *window)
SDL_ShapeDriver | shape_driver
int(* | ShowMessageBox )(_THIS, const SDL_MessageBoxData *messageboxdata, int *buttonid)
void(* | ShowScreenKeyboard )(_THIS, SDL_Window *window)
void(* | ShowWindow )(_THIS, SDL_Window *window)
void(* | StartTextInput )(_THIS)
void(* | StopTextInput )(_THIS)
SDL_bool | suspend_screensaver
void(* | SuspendScreenSaver )(_THIS)
int(* | UpdateWindowFramebuffer )(_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)
int(* | VideoInit )(_THIS)
void(* | VideoQuit )(_THIS)
Uint8 | window_magic
SDL_Window * | windows

## Detailed Description

Definition at line 135 of file SDL_sysvideo.h.

## Member Data Documentation

int SDL_VideoDevice::accelerated

Definition at line 290 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::accum_alpha_size

Definition at line 286 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::accum_blue_size

Definition at line 285 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::accum_green_size

Definition at line 284 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::accum_red_size

Definition at line 283 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::alpha_size

Definition at line 278 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::blue_size

Definition at line 277 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::buffer_size

Definition at line 280 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

char* SDL_VideoDevice::clipboard_text

Definition at line 269 of file SDL_sysvideo.h.

Referenced by SDL_GetClipboardText(), SDL_HasClipboardText(), SDL_SetClipboardText(), and SDL_VideoQuit().

int(* SDL_VideoDevice::CreateWindow)(_THIS, SDL_Window *window)

Definition at line 183 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), and SDL_RecreateWindow().

int(* SDL_VideoDevice::CreateWindowFramebuffer)(_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)

Definition at line 203 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindowFramebuffer(), SDL_VideoInit(), and ShouldUseTextureFramebuffer().

int(* SDL_VideoDevice::CreateWindowFrom)(_THIS, SDL_Window *window, const void *data)

Definition at line 184 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindowFrom().

SDL_GLContext SDL_VideoDevice::current_glctx

Definition at line 308 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), and SDL_GL_MakeCurrent().

SDL_TLSID SDL_VideoDevice::current_glctx_tls

Definition at line 310 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), SDL_GL_GetCurrentContext(), SDL_GL_MakeCurrent(), and SDL_VideoInit().

SDL_Window* SDL_VideoDevice::current_glwin

Definition at line 307 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GL_CreateContext(), and SDL_GL_MakeCurrent().

SDL_TLSID SDL_VideoDevice::current_glwin_tls

Definition at line 309 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), SDL_GL_GetCurrentWindow(), SDL_GL_MakeCurrent(), and SDL_VideoInit().

int SDL_VideoDevice::depth_size

Definition at line 279 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::DestroyWindow)(_THIS, SDL_Window *window)

Definition at line 202 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), and SDL_RecreateWindow().

void(* SDL_VideoDevice::DestroyWindowFramebuffer)(_THIS, SDL_Window *window)

Definition at line 205 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_RecreateWindow(), and SDL_VideoInit().

SDL_VideoDisplay* SDL_VideoDevice::displays

Definition at line 265 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetClosestDisplayMode(), SDL_GetCurrentDisplayMode(), SDL_GetDesktopDisplayMode(), SDL_GetDisplayBounds(), SDL_GetDisplayDriverData(), SDL_GetDisplayForWindow(), SDL_GetDisplayMode(), SDL_GetDisplayName(), SDL_GetIndexOfDisplay(), SDL_GetNumDisplayModes(), SDL_GetWindowDisplayIndex(), and SDL_VideoQuit().

void* SDL_VideoDevice::dll_handle

Definition at line 299 of file SDL_sysvideo.h.

Referenced by SDL_VideoInit().

int SDL_VideoDevice::double_buffer

Definition at line 282 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::driver_loaded

Definition at line 297 of file SDL_sysvideo.h.

Referenced by PSP_GL_LoadLibrary(), SDL_GL_GetProcAddress(), SDL_GL_LoadLibrary(), SDL_GL_UnloadLibrary(), and SDL_VideoInit().

char SDL_VideoDevice::driver_path[256]

Definition at line 298 of file SDL_sysvideo.h.

Referenced by SDL_GL_LoadLibrary().

void* SDL_VideoDevice::driverdata

Definition at line 314 of file SDL_sysvideo.h.

Referenced by PSP_GL_DeleteContext().

int SDL_VideoDevice::flags

Definition at line 293 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::free)(_THIS)

Definition at line 327 of file SDL_sysvideo.h.

Referenced by SDL_VideoQuit().

char*(* SDL_VideoDevice::GetClipboardText)(_THIS)

Definition at line 255 of file SDL_sysvideo.h.

Referenced by SDL_GetClipboardText().

int(* SDL_VideoDevice::GetDisplayBounds)(_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)

Definition at line 164 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayBounds().

void(* SDL_VideoDevice::GetDisplayModes)(_THIS, SDL_VideoDisplay *display)

Definition at line 169 of file SDL_sysvideo.h.

Referenced by SDL_GetNumDisplayModesForDisplay().

int(* SDL_VideoDevice::GetWindowGammaRamp)(_THIS, SDL_Window *window, Uint16 *ramp)

Definition at line 200 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowGammaRamp().

SDL_bool(* SDL_VideoDevice::GetWindowWMInfo)(_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)

Definition at line 215 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowWMInfo().

struct { ... } SDL_VideoDevice::gl_config

Referenced by PSP_GL_CreateContext(), PSP_GL_LoadLibrary(), SDL_GL_GetAttribute(), SDL_GL_GetProcAddress(), SDL_GL_LoadLibrary(), SDL_GL_SetAttribute(), SDL_GL_UnloadLibrary(), and SDL_VideoInit().

SDL_GLContext(* SDL_VideoDevice::GL_CreateContext)(_THIS, SDL_Window *window)

Definition at line 225 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_GL_CreateContext(), and SDL_RecreateWindow().

struct SDL_GLDriverData* SDL_VideoDevice::gl_data

Definition at line 315 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), PSP_GL_DeleteContext(), PSP_GL_GetSwapInterval(), PSP_GL_MakeCurrent(), PSP_GL_SetSwapInterval(), PSP_GL_SwapWindow(), and PSP_GL_UnloadLibrary().

void(* SDL_VideoDevice::GL_DeleteContext)(_THIS, SDL_GLContext context)

Definition at line 231 of file SDL_sysvideo.h.

Referenced by SDL_GL_DeleteContext().

void(* SDL_VideoDevice::GL_GetDrawableSize)(_THIS, SDL_Window *window, int *w, int *h)

Definition at line 227 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetDrawableSize().

void*(* SDL_VideoDevice::GL_GetProcAddress)(_THIS, const char *proc)

Definition at line 223 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetProcAddress().

int(* SDL_VideoDevice::GL_GetSwapInterval)(_THIS)

Definition at line 229 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetSwapInterval().

int(* SDL_VideoDevice::GL_LoadLibrary)(_THIS, const char *path)

Definition at line 222 of file SDL_sysvideo.h.

Referenced by SDL_GL_LoadLibrary().

int(* SDL_VideoDevice::GL_MakeCurrent)(_THIS, SDL_Window *window, SDL_GLContext context)

Definition at line 226 of file SDL_sysvideo.h.

Referenced by SDL_GL_MakeCurrent().

int(* SDL_VideoDevice::GL_SetSwapInterval)(_THIS, int interval)

Definition at line 228 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetSwapInterval().

void(* SDL_VideoDevice::GL_SwapWindow)(_THIS, SDL_Window *window)

Definition at line 230 of file SDL_sysvideo.h.

Referenced by SDL_GL_SwapWindow().

void(* SDL_VideoDevice::GL_UnloadLibrary)(_THIS)

Definition at line 224 of file SDL_sysvideo.h.

Referenced by SDL_GL_UnloadLibrary().

int SDL_VideoDevice::green_size

Definition at line 276 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

SDL_bool(* SDL_VideoDevice::HasClipboardText)(_THIS)

Definition at line 256 of file SDL_sysvideo.h.

Referenced by SDL_HasClipboardText().

SDL_bool(* SDL_VideoDevice::HasScreenKeyboardSupport)(_THIS)

Definition at line 248 of file SDL_sysvideo.h.

Referenced by SDL_HasScreenKeyboardSupport().

void(* SDL_VideoDevice::HideScreenKeyboard)(_THIS, SDL_Window *window)

Definition at line 250 of file SDL_sysvideo.h.

Referenced by SDL_StopTextInput().

void(* SDL_VideoDevice::HideWindow)(_THIS, SDL_Window *window)

Definition at line 192 of file SDL_sysvideo.h.

Referenced by SDL_HideWindow().

SDL_bool(* SDL_VideoDevice::IsScreenKeyboardShown)(_THIS, SDL_Window *window)

Definition at line 251 of file SDL_sysvideo.h.

Referenced by SDL_IsScreenKeyboardShown().

int SDL_VideoDevice::major_version

Definition at line 291 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::MaximizeWindow)(_THIS, SDL_Window *window)

Definition at line 194 of file SDL_sysvideo.h.

Referenced by SDL_MaximizeWindow().

void(* SDL_VideoDevice::MinimizeWindow)(_THIS, SDL_Window *window)

Definition at line 195 of file SDL_sysvideo.h.

Referenced by SDL_MinimizeWindow().

int SDL_VideoDevice::minor_version

Definition at line 292 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::multisamplebuffers

Definition at line 288 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::multisamplesamples

Definition at line 289 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

const char* SDL_VideoDevice::name

Definition at line 139 of file SDL_sysvideo.h.

Referenced by SDL_GetCurrentVideoDriver(), and SDL_VideoInit().

Uint32 SDL_VideoDevice::next_object_id

Definition at line 268 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), and SDL_VideoInit().

int SDL_VideoDevice::num_displays

Definition at line 264 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetIndexOfDisplay(), SDL_GetNumVideoDisplays(), SDL_GetWindowDisplayIndex(), SDL_VideoInit(), and SDL_VideoQuit().

void(* SDL_VideoDevice::OnWindowEnter)(_THIS, SDL_Window *window)

Definition at line 206 of file SDL_sysvideo.h.

Referenced by SDL_OnWindowEnter().

int SDL_VideoDevice::profile_mask

Definition at line 294 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::PumpEvents)(_THIS)

Definition at line 237 of file SDL_sysvideo.h.

Referenced by SDL_PumpEvents().

void(* SDL_VideoDevice::RaiseWindow)(_THIS, SDL_Window *window)

Definition at line 193 of file SDL_sysvideo.h.

Referenced by SDL_RaiseWindow().

int SDL_VideoDevice::red_size

Definition at line 275 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::RestoreWindow)(_THIS, SDL_Window *window)

Definition at line 196 of file SDL_sysvideo.h.

Referenced by SDL_RestoreWindow().

int SDL_VideoDevice::retained_backing

Definition at line 296 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int(* SDL_VideoDevice::SetClipboardText)(_THIS, const char *text)

Definition at line 254 of file SDL_sysvideo.h.

Referenced by SDL_SetClipboardText().

int(* SDL_VideoDevice::SetDisplayMode)(_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)

Definition at line 177 of file SDL_sysvideo.h.

Referenced by SDL_SetDisplayModeForDisplay().

void(* SDL_VideoDevice::SetTextInputRect)(_THIS, SDL_Rect *rect)

Definition at line 245 of file SDL_sysvideo.h.

Referenced by SDL_SetTextInputRect().

void(* SDL_VideoDevice::SetWindowBordered)(_THIS, SDL_Window *window, SDL_bool bordered)

Definition at line 197 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowBordered().

void(* SDL_VideoDevice::SetWindowFullscreen)(_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)

Definition at line 198 of file SDL_sysvideo.h.

Referenced by SDL_UpdateFullscreenMode().

int(* SDL_VideoDevice::SetWindowGammaRamp)(_THIS, SDL_Window *window, const Uint16 *ramp)

Definition at line 199 of file SDL_sysvideo.h.

Referenced by SDL_OnWindowFocusGained(), SDL_OnWindowFocusLost(), and SDL_SetWindowGammaRamp().

void(* SDL_VideoDevice::SetWindowGrab)(_THIS, SDL_Window *window, SDL_bool grabbed)

Definition at line 201 of file SDL_sysvideo.h.

Referenced by SDL_UpdateWindowGrab().

void(* SDL_VideoDevice::SetWindowIcon)(_THIS, SDL_Window *window, SDL_Surface *icon)

Definition at line 186 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowIcon().

void(* SDL_VideoDevice::SetWindowMaximumSize)(_THIS, SDL_Window *window)

Definition at line 190 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowMaximumSize().

void(* SDL_VideoDevice::SetWindowMinimumSize)(_THIS, SDL_Window *window)

Definition at line 189 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowMinimumSize().

void(* SDL_VideoDevice::SetWindowPosition)(_THIS, SDL_Window *window)

Definition at line 187 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowPosition().

void(* SDL_VideoDevice::SetWindowSize)(_THIS, SDL_Window *window)

Definition at line 188 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowSize().

void(* SDL_VideoDevice::SetWindowTitle)(_THIS, SDL_Window *window)

Definition at line 185 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowTitle().

SDL_ShapeDriver SDL_VideoDevice::shape_driver

Definition at line 212 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), and SDL_SetWindowShape().

int SDL_VideoDevice::share_with_current_context

Definition at line 295 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int(* SDL_VideoDevice::ShowMessageBox)(_THIS, const SDL_MessageBoxData *messageboxdata, int *buttonid)

Definition at line 259 of file SDL_sysvideo.h.

Referenced by SDL_ShowMessageBox().

void(* SDL_VideoDevice::ShowScreenKeyboard)(_THIS, SDL_Window *window)

Definition at line 249 of file SDL_sysvideo.h.

Referenced by SDL_StartTextInput().

void(* SDL_VideoDevice::ShowWindow)(_THIS, SDL_Window *window)

Definition at line 191 of file SDL_sysvideo.h.

Referenced by SDL_ShowWindow().

void(* SDL_VideoDevice::StartTextInput)(_THIS)

Definition at line 243 of file SDL_sysvideo.h.

Referenced by SDL_SetKeyboardFocus(), and SDL_StartTextInput().

int SDL_VideoDevice::stencil_size

Definition at line 281 of file SDL_sysvideo.h.

Referenced by PSP_GL_CreateContext(), SDL_GL_SetAttribute(), and SDL_VideoInit().

int SDL_VideoDevice::stereo

Definition at line 287 of file SDL_sysvideo.h.

Referenced by SDL_GL_SetAttribute(), and SDL_VideoInit().

void(* SDL_VideoDevice::StopTextInput)(_THIS)

Definition at line 244 of file SDL_sysvideo.h.

Referenced by SDL_SetKeyboardFocus(), and SDL_StopTextInput().

SDL_bool SDL_VideoDevice::suspend_screensaver

Definition at line 263 of file SDL_sysvideo.h.

Referenced by SDL_DisableScreenSaver(), SDL_EnableScreenSaver(), and SDL_IsScreenSaverEnabled().

void(* SDL_VideoDevice::SuspendScreenSaver)(_THIS)

Definition at line 240 of file SDL_sysvideo.h.

Referenced by SDL_DisableScreenSaver(), and SDL_EnableScreenSaver().

int(* SDL_VideoDevice::UpdateWindowFramebuffer)(_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)

Definition at line 204 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindowFramebuffer(), SDL_UpdateWindowSurfaceRects(), and SDL_VideoInit().

int(* SDL_VideoDevice::VideoInit)(_THIS)

Definition at line 148 of file SDL_sysvideo.h.

Referenced by SDL_VideoInit().

void(* SDL_VideoDevice::VideoQuit)(_THIS)

Definition at line 154 of file SDL_sysvideo.h.

Referenced by SDL_VideoQuit().

Uint8 SDL_VideoDevice::window_magic

Definition at line 267 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), and SDL_CreateWindowFrom().

SDL_Window* SDL_VideoDevice::windows

Definition at line 266 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), SDL_GetFocusWindow(), SDL_GetWindowFromID(), SDL_UpdateFullscreenMode(), and SDL_VideoQuit().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/SDL_sysvideo.h